package com.sampletool.tests;

import org.jmock.Mock;
import org.jmock.MockObjectTestCase;

import com.sampletool.IModel;
import com.sampletool.ModelTool;

public class ModelToolIMockTest extends MockObjectTestCase {
	private ModelTool modelTool = null;

	/**
	 * Test method for 'com.sampletool.ModelTool.saveModel()'
	 */
	public void testSaveModel() {
		// setup
		modelTool = new ModelTool();
		Mock mock = mock(IModel.class);
		modelTool.setModel((IModel) mock.proxy());

		// expected
		mock.expects(atLeastOnce()).method("getData").will(returnValue("aaa"));

		// exectue
		modelTool.saveModel();

		// acutual

		// assert
		assertEquals("SaveModel fails!", "aaa", modelTool.getModel().getData());
	}
}
